ARWrapper Provides a C++ wrapper around ARToolKit and exposes a C and JNI API

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
ARMarkerNFT Class Reference

NFT marker type of ARMarker. More...

`#include <ARMarkerNFT.h>`

Inheritance diagram for ARMarkerNFT:

## Public Member Functions
| ARMarkerNFT ()
| ~ARMarkerNFT ()
bool | load (const char *dataSetPathname_in)
bool | updateWithNFTResults (int detectedPage, float trackingTrans[3][4], ARdouble transL2R[3][4]=NULL)
void | setNFTScale (const float scale)
float | getNFTScale ()
Public Member Functions inherited from ARMarker
| ARMarker (MarkerType type)
| Constructor takes the type of this marker. More...
virtual | ~ARMarker ()
void | setPositionScalefactor (ARdouble scale)
ARdouble | positionScalefactor ()
virtual bool | update (ARdouble transL2R[3][4]=NULL)
    Completes an update begun in the parent class, performing filtering, generating
OpenGL view matrix and notifying listeners (just a log message at the moment). More...
ARPattern * | getPattern (int n)
| Returns the specified pattern within this marker. More...
void | setFiltered (bool flag)
bool | isFiltered ()
ARdouble | filterSampleRate ()
void | setFilterSampleRate (ARdouble rate)
ARdouble | filterCutoffFrequency ()
void | setFilterCutoffFrequency (ARdouble freq)

## Public Attributes
bool | robustFlag
| Flag specifying which pose estimation approach to use. More...
int | pageNo
char * | datasetPathname
AR2SurfaceSetT * | surfaceSet
Public Attributes inherited from ARMarker
int | UID
| Internal unique ID (note: not the same as ARToolKit pattern ID) More...
MarkerType | type
| Type of marker: single, multi, ... More...
bool | visiblePrev
| Whether or not the marker was visible prior to last update. More...
bool | visible
| Whether or not the marker is visible at current time. More...
ARdouble | transformationMatrix [16]
| Transformation suitable for use in OpenGL. More...
ARdouble | transformationMatrixR [16]
| Transformation suitable for use in OpenGL. More...
int | patternCount
| Number of patterns in this marker (1 for single) More...
ARPattern ** | patterns
| Array of pointers to patterns. More...

## Protected Member Functions
bool | unload ()
Protected Member Functions inherited from ARMarker
void | allocatePatterns (int count)
| Allocates space for patterns within this marker. More...
void | freePatterns ()
| Frees allocated patterns and resets the pattern count to zero. More...

## Additional Inherited Members
Public Types inherited from ARMarker
enum | MarkerType { SINGLE, MULTI, NFT }
Static Public Member Functions inherited from ARMarker
static std::vector< ARMarker * > | newFromConfigDataFile (const char *markersConfigDataFilePath, ARPattHandle *arPattHandle, int *patternDetectionMode_out)
static ARMarker * | newWithConfig (const char *cfg, ARPattHandle *arPattHandle)
Protected Attributes inherited from ARMarker
ARdouble | trans [3][4]
| Transformation from camera to this marker. If stereo, transform from left camera to this marker. More...
ARdouble | m_positionScaleFactor

## Detailed Description

NFT marker type of ARMarker.

## Constructor & Destructor Documentation

ARMarkerNFT::ARMarkerNFT | ( |  | ) |

ARMarkerNFT::~ARMarkerNFT | ( |  | ) |

## Member Function Documentation

float ARMarkerNFT::getNFTScale | ( |  | ) |

bool ARMarkerNFT::load | ( | const char * | dataSetPathname_in | ) |

void ARMarkerNFT::setNFTScale | ( | const float | scale | ) |

bool ARMarkerNFT::unload | ( |  | ) |
| protected

bool ARMarkerNFT::updateWithNFTResults | ( | int | detectedPage,
|  | float | trackingTrans[3][4],
|  | ARdouble | transL2R[3][4] = `NULL`
| ) |  |

## Member Data Documentation

char* ARMarkerNFT::datasetPathname

int ARMarkerNFT::pageNo

bool ARMarkerNFT::robustFlag

Flag specifying which pose estimation approach to use.

AR2SurfaceSetT* ARMarkerNFT::surfaceSet

The documentation for this class was generated from the following files:

- include/ARWrapper/ARMarkerNFT.h
- lib/SRC/ARWrapper/ARMarkerNFT.cpp